import CipDropdown from '../../cip-dropdown'
import { ElDropdownItem, ElDropdownMenu, ElIcon } from 'element-plus'
import LayoutIcon from './layout-icon'
const layoutOptions = ['left', 'left-2', 'top', 'top-left']
export default {
  props: {
    modelValue: String,
    options: {
      type: Array,
      default: () => layoutOptions
    }
  },
  emits: ['update:modelValue'],
  setup (props, { emit }) {
    const handlerCommand = (val) => {
      emit('update:modelValue', val)
    }
    return () => <CipDropdown noArrow={true} style={'height: 100%'} onCommand={(val) => handlerCommand(val)} popperClass='cip-nav-layout'>
      {{
        default: () => <ElIcon title={'布局'} style={'font-size: 20px'}><LayoutIcon/></ElIcon>,
        dropdown: () => <ElDropdownMenu >
          {props.options.map(option => <ElDropdownItem key={option} command={option}>{option}</ElDropdownItem>)}
        </ElDropdownMenu>
      }}
    </CipDropdown>
  }
}
